Bug 328660 - changing account name hides account
Summary: changing account name hides account
Status: RESOLVED FIXED
Alias: None
Product: user-manager
Classification: Unclassified
Component: kcontrol module (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-11 13:35 UTC by Jonathan Riddell
Modified: 2013-12-22 04:56 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Riddell 2013-12-11 13:35:37 UTC
If I have an account "foo" and I change the account name to "foobar" the account disappears

Reproducible: Always

Steps to Reproduce:
1. click on account "foo" in left half column
2. in the text field next to the avatar change to "foobar"
3. click apply
Actual Results:  
account disappears from left hand column

Expected Results:  
account should be renamed in left hand column
Comment 1 Alex Fiestas 2013-12-22 04:56:55 UTC
Git commit ec33c0d24225b59ee63d233e7658b111ff4d1a65 by Àlex Fiestas.
Committed on 22/12/2013 at 04:03.
Pushed by afiestas into branch 'master'.

Do not allow to change the username

When the username is changed, the user is actually
removed and added again, this can couse many issues
so it is better if for the time being we do not allow
canging the username.

M  +8    -1    src/accountinfo.cpp

http://commits.kde.org/user-manager/ec33c0d24225b59ee63d233e7658b111ff4d1a65